﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.CasunBox
{
    public abstract class InfoBase
    {
        public string Name { get; set; }
        public EnumBoxDevice EBoxDevice { get; set; }
        public DateTime LastUpdateTime { get; set; }
        public bool DataValid
        {
            get { return (DateTime.Now - LastUpdateTime).TotalSeconds < 5; }
        }
        public bool CheckXOR { get; set; }

        public abstract InfoBase Deserialize(byte[] data);
    }

    public enum EnumBoxDevice
    {
        CallBox,
        WarningLight
    }
}
